import { BaseService, Service } from '@/cool';

@Service('user')
export class MemberService extends BaseService {
	/**
	 * 给客户充值 b
	 */
	recharge(data) {
		return this.request({
			url: '/recharge',
			method: 'POST',
			data: data
		});
	}

	/**
	 * 给客户升级 b
	 */
	upgrade(data) {
		return this.request({
			url: '/upgrade',
			method: 'POST',
			data: data
		});
	}

	/**
	 * 商家端客户详情，包括资产、订单和备注 b
	 */
	allDetail(data) {
		return this.request({
			url: '/user-detail',
			params: data
		});
	}
}

export default new MemberService();
